> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkinf.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminate VM

> Terminate a VM instance

Permanently delete a VM instance and its associated resources.


## OpenAPI

````yaml DELETE /projects/{projectId}/vms/{id}
openapi: 3.1.0
info:
  title: mkinf API v0.1
  description: ''
  version: 1.0.0
servers:
  - url: https://api.mkinf.io/v0.1
    description: Prod Env
security: []
tags: []
paths:
  /projects/{projectId}/vms/{id}:
    delete:
      tags: []
      summary: Terminate VM
      description: Terminate a VM instance
      parameters:
        - name: projectId
          in: path
          description: Project id
          required: true
          example: b3e571f6-c87d-4135-8081-ab219e92544e
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          description: VM id
          required: true
          example: a0420944-2d47-4314-a67b-c18a4f95051e
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  operation:
                    type: object
                    properties:
                      completed_at:
                        type: string
                      metadata:
                        type: object
                        properties: {}
                      operation_id:
                        type: string
                      result:
                        type: object
                        properties: {}
                      started_at:
                        type: string
                      state:
                        type: string
                    required:
                      - completed_at
                      - metadata
                      - operation_id
                      - result
                      - started_at
                      - state
                required:
                  - operation
              examples:
                '1':
                  summary: Success
                  value:
                    operation:
                      completed_at: '2021-12-03T19:59:34Z'
                      metadata: {}
                      operation_id: F6EF489C-086E-458D-B812-7962964A28C9
                      result: {}
                      started_at: '2021-12-03T19:58:34Z'
                      state: IN_PROGRESS
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````